Subject: 3.96: Incorrect error msg?

From: [email-masked] (Robert N. Berlinger)
Date: 27 Mar 1997 09:47:12 -0500

Under 3.96 or 3.95 when I try to connect to a news server that's not
running (i.e., connection refused) I get the error message

	421 SMTP connection went away!

Shouldn't the error be something like "connection refused by news
server..."?  The current message is rather cryptic and technical
sounding and I dont't see why this condition would have anything to do
with SMTP so the message is misleading.  (Our news collection is set to
"Subscribed *{newsserver/nntp}[]".)

It seems like some code used for SMTP has been reused or is being
shared for NNTP and the message isn't tailored for both.  I did a
little searching in the code but couldn't trace down exactly where this
is happening.

Thanks.